import { Component } from '@angular/core';

import { ParamService } from './services/param/param.service';
import { HttpService } from './services/http/http.service';
import { InternationalisationService } from './services/internationalisation/internationalisation.service';

@Component({
  selector: 'nghyd-app',
  template: `
  <cond-distri></cond-distri>
  <!--
  <h1>{{title}}</h1>
  <param-input symbol="Q"></param-input>
  <param-input symbol="Q"></param-input>
  <param-input symbol="Ks"></param-input>
  -->
  `,
  providers: [ParamService, InternationalisationService, HttpService]
})
export class AppComponent {
  constructor(private intlService: InternationalisationService) { }

  private initLocale() {
    let docLocale: string = document['locale'] as string;
    this.intlService.setLocale(docLocale);
  }

  ngOnInit() {
    this.initLocale();
  }
}
