"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var param_service_1 = require("../../services/param/param.service");
var ParamFieldLineComponent = (function () {
    function ParamFieldLineComponent(paramService) {
        this.paramService = paramService;
    }
    Object.defineProperty(ParamFieldLineComponent.prototype, "symbol", {
        /**
         * Parameter symbol string
         */
        get: function () {
            return this._param.symbol;
        },
        /**
         * Parameter symbol (Q, Ks, B, ...) input attribute
         */
        set: function (s) {
            this._param = this.paramService.getParameter(s);
            this._label = this._param.label;
        },
        enumerable: true,
        configurable: true
    });
    return ParamFieldLineComponent;
}());
__decorate([
    core_1.Input(),
    __metadata("design:type", String),
    __metadata("design:paramtypes", [String])
], ParamFieldLineComponent.prototype, "symbol", null);
ParamFieldLineComponent = __decorate([
    core_1.Component({
        selector: "param-field-line",
        templateUrl: "./param-field-line.html"
    }),
    __metadata("design:paramtypes", [param_service_1.ParamService])
], ParamFieldLineComponent);
exports.ParamFieldLineComponent = ParamFieldLineComponent;
//# sourceMappingURL=param-field-line.component.js.map